Patchwork [1/3] libsoup: upgrade to 2.42.1

login
register
mail settings
Submitter Ross Burton
Date May 1, 2013, 10:19 a.m.
Message ID <06a1154d758be0744da68717b31077cc02ec657e.1367403369.git.ross.burton@intel.com>
Download mbox | patch
Permalink /patch/49209/
State Accepted
Commit b86f89f38e6b45c93f60e61efcc8dfa34a2dc7e8
Headers show

Comments

Ross Burton - May 1, 2013, 10:19 a.m.
Upgrade to the latest stable release, and fix the dependencies.

gnome-keyring use has been removed from libsoup, and sqlite3 is now a hard
dependency.  The optional libsoup-gnome library is now a small stub, so enable
it by default but allow it to be disabled via PACKAGECONFIG.

Signed-off-by: Ross Burton <ross.burton@intel.com>
---
 .../{libsoup-2.4_2.40.2.bb => libsoup-2.4_2.42.1.bb}     |   14 +++++++-------
 1 file changed, 7 insertions(+), 7 deletions(-)
 rename meta/recipes-support/libsoup/{libsoup-2.4_2.40.2.bb => libsoup-2.4_2.42.1.bb} (59%)
Koen Kooi - May 1, 2013, 11:38 a.m.
Op 1 mei 2013, om 12:19 heeft Ross Burton <ross.burton@intel.com> het volgende geschreven:

> Upgrade to the latest stable release, and fix the dependencies.
> 
> gnome-keyring use has been removed from libsoup, and sqlite3 is now a hard
> dependency.  The optional libsoup-gnome library is now a small stub, so enable
> it by default but allow it to be disabled via PACKAGECONFIG.

Sweet, that drops a load of dependencies for gstreamer http sources!
Ross Burton - May 1, 2013, 11:44 a.m.
On 1 May 2013 12:38, Koen Kooi <koen@dominion.thruhere.net> wrote:
> Sweet, that drops a load of dependencies for gstreamer http sources!

Yes, the buildhistory-diff was a delight :)

Ross

Patch

diff --git a/meta/recipes-support/libsoup/libsoup-2.4_2.40.2.bb b/meta/recipes-support/libsoup/libsoup-2.4_2.42.1.bb
similarity index 59%
rename from meta/recipes-support/libsoup/libsoup-2.4_2.40.2.bb
rename to meta/recipes-support/libsoup/libsoup-2.4_2.42.1.bb
index 53807af..ef8d439 100644
--- a/meta/recipes-support/libsoup/libsoup-2.4_2.40.2.bb
+++ b/meta/recipes-support/libsoup/libsoup-2.4_2.42.1.bb
@@ -5,20 +5,20 @@  BUGTRACKER = "https://bugzilla.gnome.org/"
 LICENSE = "LGPLv2"
 LIC_FILES_CHKSUM = "file://COPYING;md5=5f30f0716dfdd0d91eb439ebec522ec2"
 
-PR = "r1"
-
 SECTION = "x11/gnome/libs"
 
-DEPENDS = "glib-2.0 gnutls libxml2 libproxy"
+DEPENDS = "glib-2.0 gnutls libxml2 libproxy sqlite3"
 
-PACKAGECONFIG ??= "${@base_contains('DISTRO_FEATURES', 'x11', 'gnome', '', d)}"
-PACKAGECONFIG[gnome] = "--with-gnome,--without-gnome,libgnome-keyring sqlite3"
+# libsoup-gnome is entirely deprecated and just stubs in 2.42 onwards.  Enable
+# by default but let it be easily disabled.
+PACKAGECONFIG ??= "gnome"
+PACKAGECONFIG[gnome] = "--with-gnome,--without-gnome"
 
 SHRT_VER = "${@bb.data.getVar('PV',d,1).split('.')[0]}.${@bb.data.getVar('PV',d,1).split('.')[1]}"
 SRC_URI = "${GNOME_MIRROR}/libsoup/${SHRT_VER}/libsoup-${PV}.tar.xz"
 
-SRC_URI[md5sum] = "211ec6b733d4de33056b56838c88436e"
-SRC_URI[sha256sum] = "32e81220f53abb1f5bbe7d8b0717119df70667fc48e2342d82209ed1593e71dc"
+SRC_URI[md5sum] = "aaccd590a8002b69716f885fa8589887"
+SRC_URI[sha256sum] = "20bd5365bb3e7de70fade91ac82c9dea31636318df90b8c26bc4cde2523a8c91"
 
 S = "${WORKDIR}/libsoup-${PV}"